For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update tenant extension details

Update details for a tenant extension.

Required permissions: EXTENSION

put
/tenants/{tenantUid}/extensions/{tenantExtensionUid}
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tenantExtensionUidstringRequired

Reference to a tenant extension.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringOptional
activebooleanRequired
Responses
200

Example response

application/json

TenantExtensionResponseSchema

tenantExtensionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
activebooleanRequired
extensionCodestring · enumRequiredPossible values:
hasStoreExtensionSettingsbooleanRequired

Indicate if the extension needs to be activated and configured pr store

statusMessagesstring[]Required
put/tenants/{tenantUid}/extensions/{tenantExtensionUid}
PUT /v2/tenants/{tenantUid}/extensions/{tenantExtensionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 80

{
  "name": "text",
  "active": true,
  "tenantParameters": [
    {
      "key": "text",
      "value": "text"
    }
  ]
}
200

Example response

{
  "tenantExtensionUid": "text",
  "name": "text",
  "active": true,
  "extensionCode": "FLOWGIFTCARD",
  "hasStoreExtensionSettings": true,
  "tenantParameters": [
    {
      "key": "text",
      "value": "text",
      "type": "STRING",
      "allowedValues": [
        "text"
      ],
      "validationRegex": "text",
      "name": "text",
      "required": true
    }
  ],
  "statusMessages": [
    "text"
  ],
  "availableStoreParameters": [
    {
      "key": "text",
      "value": "text",
      "type": "STRING",
      "allowedValues": [
        "text"
      ],
      "validationRegex": "text",
      "name": "text",
      "required": true
    }
  ]
}

Last updated

Was this helpful?